askr = {
  "َ", "ُ", "ِ", "ْ", "ّ", "ً", "ٌ", "ٍ",  -- علامات التشكيل
  "أ", "إ", "ؤ", "ئ", "آ",                 -- الهمزات
  ".", ",", ":", ";", "؟", "!",            -- الفواصل
  "٠", "١", "٢", "٣", "٤", "٥", "٦", "٧", "٨", "٩",  -- الأرقام العربية
  "✨", "📊", "✍️",                        -- الرموز التعبيرية
  "\"", "*", "#", "%", ">", "<", "$", "&", "@", "_", "|", "-", "{", "}", "[", "]", "(", ")", "/", "\\", "+", "=", "~", "^"  -- رموز أخرى
}

require "import"
import "android.widget.*"
import "com.androlua.*"

layout = {
  GridView,
  id = "grid",
  numColumns = 5,
  layout_width = "fill",
  layout_height = "fill"
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)

grid.adapter = ArrayAdapter(service, android.R.layout.simple_list_item_1, String(askr))
dlg.setTitle("لوحة الرموز")
dlg.setButton("خروج", nil)
dlg.setButton2("تابعني", function()
  dlg.dismiss()
  local url = "https://t.me/MuhammadAbuAlEla"
  local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
  this.startActivity(intent)
end)

grid.onItemClick = function(l, v)
  dlg.dismiss()
  task(500, function()
service.paste(v.text)
  end)
end

dlg.show()